#ifndef fmt_hpp
#define fmt_hpp

#include <windows.h>

#define _export

extern "C"
{
  bool   WINAPI _export isImage       (const wchar_t* fileName, const BYTE* data, int size);
  HANDLE WINAPI _export openSubPlugin (const wchar_t* fileName);
  void   WINAPI _export closeSubPlugin(HANDLE h);
  bool   WINAPI _export reload        (HANDLE h);
  bool   WINAPI _export openFile      (HANDLE h);
  bool   WINAPI _export closeFile     (HANDLE h);
  bool   WINAPI _export read          (HANDLE h, WORD blockNum, BYTE* buf);
  bool   WINAPI _export write         (HANDLE h, WORD blockNum, BYTE* buf);
  const wchar_t*  WINAPI _export getFormatName (void);
}

#endif