#ifndef types_trd_hpp
#define types_trd_hpp

//const int sectorSize = 0x100;
#pragma pack(push, 1)

struct ExtFileHdr
{
  wchar_t name   [13];
  wchar_t comment[100];
  BYTE type;
  bool skipHeader;
};

struct DiskHdr
{
 BYTE firstFreeSec;
 BYTE firstFreeTrk;
 BYTE type;
 BYTE noFiles;
 WORD noFreeSecs;
 BYTE reserved[13];
 BYTE noDelFiles;
 char title[11];
};

struct DSHdr
{
  WORD crc;
  char signature[6+3];
};
#pragma pack(pop)

struct Options
{
  bool useDS;
  int  defaultPanelMode;
  bool showExt;
  bool autoMove;
  int  defaultFormat;
  bool detectFormat;

  wchar_t cmdLine1[300];
  wchar_t cmdLine2[300];
  wchar_t types1  [100];
  wchar_t types2  [100];
  bool fullScreen1;
  bool fullScreen2;
  wchar_t iniFilePath[300];
  
  bool reread;
};

enum ExitCode { OK, SKIP, CANCEL };

#endif
